#include <bits/stdc++.h>
using namespace std;
int main(){

    int n;
    cin>>n;
    string s="ABCDEFGHIJKLMNOPQRSTUVWXYZ-";
    string a;
    cin>>a;
    char trenutnoslovo=s[0];
    int x=0;
    int ponavljanja=0;
    long long zbir=1;
    for(int i=1;i<a.length();i++)
    {
        if(a[i]==s[x])
        {
            ponavljanja++;
        }
        else if(a[i]==s[x+1])
        {
            zbir=(zbir*(ponavljanja+1))%1000000007;
            x++;
            trenutnoslovo=s[x];

            ponavljanja=0;

        }
    }
    cout<<(zbir*(ponavljanja+1))%1000000007;

}